#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_default_theme.layer import IPyAMSDefaultLayer
from pyams_skin.interfaces.resources import IResources

# import packages
from onf_website.skin import onf_base_skin
from pyams_utils.adapter import adapter_config, ContextRequestViewAdapter
from zope.interface import Interface


class IONFBaseLayer(IPyAMSDefaultLayer):
    """ONF base skin layer"""


@adapter_config(context=(Interface, IONFBaseLayer, Interface), provides=IResources)
class ONFBaseLayerResourcesAdapter(ContextRequestViewAdapter):
    """Base layer resources adapter"""

    def get_resources(self):
        onf_base_skin.need()
